<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/blogs_aggregator/init.jsp" %>

<%
boolean blogsPortletFound = ParamUtil.getBoolean(request, "blogsPortletFound", true);
%>

<c:if test="<%= !blogsPortletFound %>">
	<clay:stripe
		displayType="danger"
		message="no-suitable-application-found-to-display-the-blogs-entry"
	/>
</c:if>

<%
BlogsAggregatorDisplayContext blogsAggregatorDisplayContext = new BlogsAggregatorDisplayContext(request, renderRequest, renderResponse);

SearchContainer<BlogsEntry> searchContainer = blogsAggregatorDisplayContext.getSearchContainer();

List<BlogsEntry> results = searchContainer.getResults();
%>

<%@ include file="/blogs_aggregator/view_entries.jspf" %>

<c:if test="<%= windowState.equals(WindowState.MAXIMIZED) %>">
	<aui:script>
		Liferay.Util.focusFormField(
			document.<portlet:namespace />fm1.<portlet:namespace />keywords
		);
	</aui:script>
</c:if>